import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MonitorServiceProject } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 13:20
 */
interface MonitorServiceProjectCU extends ConditionUtil<MonitorServiceProjectCU> {
    ID: FieldUtil<MonitorServiceProjectCU>;
    SERVICE_CENTER_CODE: FieldUtil<MonitorServiceProjectCU>;
    SERVICE_CENTER_NAME: FieldUtil<MonitorServiceProjectCU>;
    APP_CODE: FieldUtil<MonitorServiceProjectCU>;
    APP_NAME: FieldUtil<MonitorServiceProjectCU>;
    ENV_CODE: FieldUtil<MonitorServiceProjectCU>;
    PROJECT_ID: FieldUtil<MonitorServiceProjectCU>;
    PROJECT_TYPE: FieldUtil<MonitorServiceProjectCU>;
    PID: FieldUtil<MonitorServiceProjectCU>;
    SERVICE_GROUP_ID: FieldUtil<MonitorServiceProjectCU>;
    DELETED: FieldUtil<MonitorServiceProjectCU>;
    CREATE_TIME: FieldUtil<MonitorServiceProjectCU>;
    UPDATE_TIME: FieldUtil<MonitorServiceProjectCU>;
}
declare class MonitorServiceProjectMU extends TableUtilImpl<MonitorServiceProjectCU, MonitorServiceProject> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MonitorServiceProjectCU;
    static get ID(): FieldUtil<MonitorServiceProjectCU>;
    static get SERVICE_CENTER_CODE(): FieldUtil<MonitorServiceProjectCU>;
    static get SERVICE_CENTER_NAME(): FieldUtil<MonitorServiceProjectCU>;
    static get APP_CODE(): FieldUtil<MonitorServiceProjectCU>;
    static get APP_NAME(): FieldUtil<MonitorServiceProjectCU>;
    static get ENV_CODE(): FieldUtil<MonitorServiceProjectCU>;
    static get PROJECT_ID(): FieldUtil<MonitorServiceProjectCU>;
    static get PROJECT_TYPE(): FieldUtil<MonitorServiceProjectCU>;
    static get PID(): FieldUtil<MonitorServiceProjectCU>;
    static get SERVICE_GROUP_ID(): FieldUtil<MonitorServiceProjectCU>;
    static get DELETED(): FieldUtil<MonitorServiceProjectCU>;
    static get CREATE_TIME(): FieldUtil<MonitorServiceProjectCU>;
    static get UPDATE_TIME(): FieldUtil<MonitorServiceProjectCU>;
    get ID(): FieldUtil<MonitorServiceProjectCU>;
    get SERVICE_CENTER_CODE(): FieldUtil<MonitorServiceProjectCU>;
    get SERVICE_CENTER_NAME(): FieldUtil<MonitorServiceProjectCU>;
    get APP_CODE(): FieldUtil<MonitorServiceProjectCU>;
    get APP_NAME(): FieldUtil<MonitorServiceProjectCU>;
    get ENV_CODE(): FieldUtil<MonitorServiceProjectCU>;
    get PROJECT_ID(): FieldUtil<MonitorServiceProjectCU>;
    get PROJECT_TYPE(): FieldUtil<MonitorServiceProjectCU>;
    get PID(): FieldUtil<MonitorServiceProjectCU>;
    get SERVICE_GROUP_ID(): FieldUtil<MonitorServiceProjectCU>;
    get DELETED(): FieldUtil<MonitorServiceProjectCU>;
    get CREATE_TIME(): FieldUtil<MonitorServiceProjectCU>;
    get UPDATE_TIME(): FieldUtil<MonitorServiceProjectCU>;
}
export { MonitorServiceProjectMU, MonitorServiceProjectCU };
